# Identity

Represents an Identity in the Polymesh blockchain

## Hierarchy

* [Entity](/polymesh-sdk-api-reference/docs-v5/classes/entity.md)‹UniqueIdentifiers›

  ↳ **Identity**

  ↳ [CurrentIdentity](/polymesh-sdk-api-reference/docs-v5/classes/currentidentity.md)

## Index

### Constructors

* [constructor](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#constructor)

### Properties

* [authorizations](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#authorizations)
* [context](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#protected-context)
* [did](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#did)
* [portfolios](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#portfolios)
* [uuid](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#uuid)

### Methods

* [areSecondaryKeysFrozen](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#aresecondarykeysfrozen)
* [getHeldTokens](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#getheldtokens)
* [getPendingInstructions](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#getpendinginstructions)
* [getPrimaryKey](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#getprimarykey)
* [getScopeId](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#getscopeid)
* [getTokenBalance](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#gettokenbalance)
* [getTrustingTokens](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#gettrustingtokens)
* [getVenues](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#getvenues)
* [hasRole](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#hasrole)
* [hasRoles](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#hasroles)
* [hasValidCdd](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#hasvalidcdd)
* [isCddProvider](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#iscddprovider)
* [isEqual](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#isequal)
* [isGcMember](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#isgcmember)
* [generateUuid](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#static-generateuuid)
* [unserialize](/polymesh-sdk-api-reference/docs-v5/classes/identity.md#static-unserialize)

## Constructors

### constructor

\+ **new Identity**(`identifiers`: UniqueIdentifiers, `context`: [Context](/polymesh-sdk-api-reference/docs-v5/classes/context.md)): [*Identity*](/polymesh-sdk-api-reference/docs-v5/classes/identity.md)

*Overrides void*

*Defined in* [*src/api/entities/Identity/index.ts:83*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L83)

Create an Identity entity

**Parameters:**

| Name          | Type                                                              |
| ------------- | ----------------------------------------------------------------- |
| `identifiers` | UniqueIdentifiers                                                 |
| `context`     | [Context](/polymesh-sdk-api-reference/docs-v5/classes/context.md) |

**Returns:** [*Identity*](/polymesh-sdk-api-reference/docs-v5/classes/identity.md)

## Properties

### authorizations

• **authorizations**: [*IdentityAuthorizations*](/polymesh-sdk-api-reference/docs-v5/classes/identityauthorizations.md)

*Defined in* [*src/api/entities/Identity/index.ts:82*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L82)

### `Protected` context

• **context**: [*Context*](/polymesh-sdk-api-reference/docs-v5/classes/context.md)

*Inherited from* [*CheckpointSchedule*](/polymesh-sdk-api-reference/docs-v5/classes/checkpointschedule.md)*.*[*context*](/polymesh-sdk-api-reference/docs-v5/classes/checkpointschedule.md#protected-context)

*Defined in* [*src/api/entities/Entity.ts:48*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Entity.ts#L48)

### did

• **did**: *string*

*Defined in* [*src/api/entities/Identity/index.ts:79*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L79)

identity ID as stored in the blockchain

### portfolios

• **portfolios**: [*Portfolios*](/polymesh-sdk-api-reference/docs-v5/classes/portfolios.md)

*Defined in* [*src/api/entities/Identity/index.ts:83*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L83)

### uuid

• **uuid**: *string*

*Inherited from* [*CheckpointSchedule*](/polymesh-sdk-api-reference/docs-v5/classes/checkpointschedule.md)*.*[*uuid*](/polymesh-sdk-api-reference/docs-v5/classes/checkpointschedule.md#uuid)

*Defined in* [*src/api/entities/Entity.ts:46*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Entity.ts#L46)

## Methods

### areSecondaryKeysFrozen

▸ **areSecondaryKeysFrozen**(): *Promise‹boolean›*

*Defined in* [*src/api/entities/Identity/index.ts:480*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L480)

Check whether secondary keys are frozen

**`note`** can be subscribed to

**Returns:** *Promise‹boolean›*

▸ **areSecondaryKeysFrozen**(`callback`: [SubCallback](/polymesh-sdk-api-reference/docs-v5/globals.md#subcallback)‹boolean›): *Promise‹*[*UnsubCallback*](/polymesh-sdk-api-reference/docs-v5/globals.md#unsubcallback)*›*

*Defined in* [*src/api/entities/Identity/index.ts:481*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L481)

**Parameters:**

| Name       | Type                                                                               |
| ---------- | ---------------------------------------------------------------------------------- |
| `callback` | [SubCallback](/polymesh-sdk-api-reference/docs-v5/globals.md#subcallback)‹boolean› |

**Returns:** *Promise‹*[*UnsubCallback*](/polymesh-sdk-api-reference/docs-v5/globals.md#unsubcallback)*›*

### getHeldTokens

▸ **getHeldTokens**(`opts`: object): *Promise‹*[*ResultSet*](/polymesh-sdk-api-reference/docs-v5/interfaces/resultset.md)*‹*[*SecurityToken*](/polymesh-sdk-api-reference/docs-v5/classes/securitytoken.md)*››*

*Defined in* [*src/api/entities/Identity/index.ts:306*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L306)

Retrieve a list of all tokens which were held at one point by this Identity

**`note`** uses the middleware

**`note`** supports pagination

**Parameters:**

▪`Default value` **opts**: *object*= { order: Order.Asc }

| Name     | Type                |
| -------- | ------------------- |
| `order?` | Order               |
| `size?`  | undefined \| number |
| `start?` | undefined \| number |

**Returns:** *Promise‹*[*ResultSet*](/polymesh-sdk-api-reference/docs-v5/interfaces/resultset.md)*‹*[*SecurityToken*](/polymesh-sdk-api-reference/docs-v5/classes/securitytoken.md)*››*

### getPendingInstructions

▸ **getPendingInstructions**(): *Promise‹*[*Instruction*](/polymesh-sdk-api-reference/docs-v5/classes/instruction.md)*\[]›*

*Defined in* [*src/api/entities/Identity/index.ts:429*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L429)

Retrieve all pending Instructions involving this Identity

**Returns:** *Promise‹*[*Instruction*](/polymesh-sdk-api-reference/docs-v5/classes/instruction.md)*\[]›*

### getPrimaryKey

▸ **getPrimaryKey**(): *Promise‹string›*

*Defined in* [*src/api/entities/Identity/index.ts:271*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L271)

Retrieve the primary key associated with the Identity

**`note`** can be subscribed to

**Returns:** *Promise‹string›*

▸ **getPrimaryKey**(`callback`: [SubCallback](/polymesh-sdk-api-reference/docs-v5/globals.md#subcallback)‹string›): *Promise‹*[*UnsubCallback*](/polymesh-sdk-api-reference/docs-v5/globals.md#unsubcallback)*›*

*Defined in* [*src/api/entities/Identity/index.ts:272*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L272)

**Parameters:**

| Name       | Type                                                                              |
| ---------- | --------------------------------------------------------------------------------- |
| `callback` | [SubCallback](/polymesh-sdk-api-reference/docs-v5/globals.md#subcallback)‹string› |

**Returns:** *Promise‹*[*UnsubCallback*](/polymesh-sdk-api-reference/docs-v5/globals.md#unsubcallback)*›*

### getScopeId

▸ **getScopeId**(`args`: object): *Promise‹string›*

*Defined in* [*src/api/entities/Identity/index.ts:412*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L412)

Retrieve the Scope ID associated to this Identity's Investor Uniqueness Claim for a specific Security Token

**`note`** more on Investor Uniqueness: <https://developers.polymesh.live/confidential_identity>

**Parameters:**

▪ **args**: *object*

| Name    | Type                                                                                    |
| ------- | --------------------------------------------------------------------------------------- |
| `token` | [SecurityToken](/polymesh-sdk-api-reference/docs-v5/classes/securitytoken.md) \| string |

**Returns:** *Promise‹string›*

### getTokenBalance

▸ **getTokenBalance**(`args`: object): *Promise‹BigNumber›*

*Defined in* [*src/api/entities/Identity/index.ts:171*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L171)

Retrieve the balance of a particular Security Token

**`note`** can be subscribed to

**Parameters:**

▪ **args**: *object*

| Name     | Type   |
| -------- | ------ |
| `ticker` | string |

**Returns:** *Promise‹BigNumber›*

▸ **getTokenBalance**(`args`: object, `callback`: [SubCallback](/polymesh-sdk-api-reference/docs-v5/globals.md#subcallback)‹BigNumber›): *Promise‹*[*UnsubCallback*](/polymesh-sdk-api-reference/docs-v5/globals.md#unsubcallback)*›*

*Defined in* [*src/api/entities/Identity/index.ts:172*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L172)

**Parameters:**

▪ **args**: *object*

| Name     | Type   |
| -------- | ------ |
| `ticker` | string |

▪ **callback**: [*SubCallback*](/polymesh-sdk-api-reference/docs-v5/globals.md#subcallback)*‹BigNumber›*

**Returns:** *Promise‹*[*UnsubCallback*](/polymesh-sdk-api-reference/docs-v5/globals.md#unsubcallback)*›*

### getTrustingTokens

▸ **getTrustingTokens**(`args`: object): *Promise‹*[*SecurityToken*](/polymesh-sdk-api-reference/docs-v5/classes/securitytoken.md)*\[]›*

*Defined in* [*src/api/entities/Identity/index.ts:357*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L357)

Get the list of tokens for which this Identity is a trusted claim issuer

**`note`** uses the middleware

**Parameters:**

▪`Default value` **args**: *object*= { order: Order.Asc }

| Name    | Type  |
| ------- | ----- |
| `order` | Order |

**Returns:** *Promise‹*[*SecurityToken*](/polymesh-sdk-api-reference/docs-v5/classes/securitytoken.md)*\[]›*

### getVenues

▸ **getVenues**(): *Promise‹*[*Venue*](/polymesh-sdk-api-reference/docs-v5/classes/venue.md)*\[]›*

*Defined in* [*src/api/entities/Identity/index.ts:378*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L378)

Retrieve all Venues created by this Identity

**`note`** can be subscribed to

**Returns:** *Promise‹*[*Venue*](/polymesh-sdk-api-reference/docs-v5/classes/venue.md)*\[]›*

▸ **getVenues**(`callback`: [SubCallback](/polymesh-sdk-api-reference/docs-v5/globals.md#subcallback)‹[Venue](/polymesh-sdk-api-reference/docs-v5/classes/venue.md)\[]›): *Promise‹*[*UnsubCallback*](/polymesh-sdk-api-reference/docs-v5/globals.md#unsubcallback)*›*

*Defined in* [*src/api/entities/Identity/index.ts:379*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L379)

**Parameters:**

| Name       | Type                                                                                                                                        |
| ---------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| `callback` | [SubCallback](/polymesh-sdk-api-reference/docs-v5/globals.md#subcallback)‹[Venue](/polymesh-sdk-api-reference/docs-v5/classes/venue.md)\[]› |

**Returns:** *Promise‹*[*UnsubCallback*](/polymesh-sdk-api-reference/docs-v5/globals.md#unsubcallback)*›*

### hasRole

▸ **hasRole**(`role`: [Role](/polymesh-sdk-api-reference/docs-v5/globals.md#role)): *Promise‹boolean›*

*Defined in* [*src/api/entities/Identity/index.ts:101*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L101)

Check whether this Identity possesses the specified Role

**Parameters:**

| Name   | Type                                                        |
| ------ | ----------------------------------------------------------- |
| `role` | [Role](/polymesh-sdk-api-reference/docs-v5/globals.md#role) |

**Returns:** *Promise‹boolean›*

### hasRoles

▸ **hasRoles**(`roles`: [Role](/polymesh-sdk-api-reference/docs-v5/globals.md#role)\[]): *Promise‹boolean›*

*Defined in* [*src/api/entities/Identity/index.ts:346*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L346)

Check whether this Identity possesses all specified roles

**Parameters:**

| Name    | Type                                                           |
| ------- | -------------------------------------------------------------- |
| `roles` | [Role](/polymesh-sdk-api-reference/docs-v5/globals.md#role)\[] |

**Returns:** *Promise‹boolean›*

### hasValidCdd

▸ **hasValidCdd**(): *Promise‹boolean›*

*Defined in* [*src/api/entities/Identity/index.ts:219*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L219)

Check whether this Identity has a valid CDD claim

**Returns:** *Promise‹boolean›*

### isCddProvider

▸ **isCddProvider**(): *Promise‹boolean›*

*Defined in* [*src/api/entities/Identity/index.ts:252*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L252)

Check whether this Identity is a CDD provider

**Returns:** *Promise‹boolean›*

### isEqual

▸ **isEqual**(`entity`: [Entity](/polymesh-sdk-api-reference/docs-v5/classes/entity.md)‹object›): *boolean*

*Inherited from* [*CheckpointSchedule*](/polymesh-sdk-api-reference/docs-v5/classes/checkpointschedule.md)*.*[*isEqual*](/polymesh-sdk-api-reference/docs-v5/classes/checkpointschedule.md#isequal)

*Defined in* [*src/api/entities/Entity.ts:61*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Entity.ts#L61)

Whether this Entity is the same as another one

**Parameters:**

| Name     | Type                                                                    |
| -------- | ----------------------------------------------------------------------- |
| `entity` | [Entity](/polymesh-sdk-api-reference/docs-v5/classes/entity.md)‹object› |

**Returns:** *boolean*

### isGcMember

▸ **isGcMember**(): *Promise‹boolean›*

*Defined in* [*src/api/entities/Identity/index.ts:235*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Identity/index.ts#L235)

Check whether this Identity is Governance Committee member

**Returns:** *Promise‹boolean›*

### `Static` generateUuid

▸ **generateUuid**‹**Identifiers**›(`identifiers`: Identifiers): *string*

*Inherited from* [*CheckpointSchedule*](/polymesh-sdk-api-reference/docs-v5/classes/checkpointschedule.md)*.*[*generateUuid*](/polymesh-sdk-api-reference/docs-v5/classes/checkpointschedule.md#static-generateuuid)

*Defined in* [*src/api/entities/Entity.ts:14*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Entity.ts#L14)

Generate the Entity's UUID from its identifying properties

**Type parameters:**

▪ **Identifiers**: *object*

**Parameters:**

| Name          | Type        | Description |
| ------------- | ----------- | ----------- |
| `identifiers` | Identifiers |             |

**Returns:** *string*

### `Static` unserialize

▸ **unserialize**‹**Identifiers**›(`serialized`: string): *Identifiers*

*Inherited from* [*CheckpointSchedule*](/polymesh-sdk-api-reference/docs-v5/classes/checkpointschedule.md)*.*[*unserialize*](/polymesh-sdk-api-reference/docs-v5/classes/checkpointschedule.md#static-unserialize)

*Defined in* [*src/api/entities/Entity.ts:23*](https://github.com/PolymathNetwork/polymesh-sdk/blob/524b0225/src/api/entities/Entity.ts#L23)

Unserialize a UUID into its Unique Identifiers

**Type parameters:**

▪ **Identifiers**: *object*

**Parameters:**

| Name         | Type   | Description         |
| ------------ | ------ | ------------------- |
| `serialized` | string | UUID to unserialize |

**Returns:** *Identifiers*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-v5/classes/identity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
